## org.apache.batik.apps.svgbrowser
Class DOMViewer.DOMViewerNodePickerController

    java.lang.Object
      org.apache.batik.apps.svgbrowser.DOMViewer.DOMViewerNodePickerController

All Implemented Interfaces:
  NodePickerController

Enclosing class:
  DOMViewer

    protected class DOMViewer.DOMViewerNodePickerController

extends java.lang.Object
implements NodePickerController

NodePickerController implementation.

Constructor Summary
`protected` `DOMViewer.DOMViewerNodePickerController()`

Method Summary
`boolean` `canEdit(org.w3c.dom.Element el)` Whether the given element can be edited with the NodePickerPanel.
`boolean` `isEditable()` Whether NodePickerPanel is should be editable.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOMViewer.DOMViewerNodePickerController

    protected DOMViewer.DOMViewerNodePickerController()

Method Detail

### isEditable

    public boolean isEditable()

  Description copied from interface: `NodePickerController`
  Whether NodePickerPanel is should be editable.

  Specified by:
    `isEditable` in interface `NodePickerController`

### canEdit

    public boolean canEdit(org.w3c.dom.Element el)

  Description copied from interface: `NodePickerController`
  Whether the given element can be edited with the NodePickerPanel.

  Specified by:
    `canEdit` in interface `NodePickerController`
  Parameters:
    `el` - The given element
  Returns:
    True if the given element can be edited by a NodePickerPanel

Copyright © 2008 Apache Software Foundation. All Rights Reserved.